<?php
/**
 * @file
 *   Taskbar API documentation
 *
 * == Anatomy of the taskbar
 *
 * A taskbar contains unlimited number of links, ajaxified blocks and activity systems.
 * There 3 types of item are default providers, you can add more providers through
 * the extensible hook system.
 * 
 *
 * == Anatomy of a provider
 *
 * A provider is... (TBC)
 *
 */

/**
 * Hook to register taskbar style.
 *
 * Returns array where each item is a keyed array:
 * - name: style machine name
 * - description:
 * - base: (optional) base style
 * - path: path to {$name}.css
 */
function hook_taskbar_style() {
  return array(
    array(
      'name' => 'my_style',
      'description' => 'My superb taskbar style',
      'base' => 'base',
      'path' => drupal_get_path('module', 'my_module') . '/my_taskbar_style',
    ),
  );
}

/**
 * Hook to register taskbar task provider.
 *
 * - callback: $args[0] is the item, $args[1] is one of
 *   - status: renders an item in the taskbar
 *     returns an array with (content, extra, count, #commands)
 *   - display: render when clicking on the item if ajax is enabled
 *     returns an array with (content, extra, count, #commands)
 *   Detail information about the returned array:
 *   - content: html code to display in the taskbar
 *   - extra: html code to display when the item is active (on click/hover)
 *   - count: number to display in a special format. Do not display if empty (or equals to zero)
 *   - #commands: array of command to execute (using the same syntax as Ctools Ajax responder)
 */
function hook_taskbar_provider() {
  return array(
    array(
      'name' => 'my_module_link',
      'description' => 'My superb link provider for Taskbar',
      'ajax' => FALSE,
      'realtime' => FALSE,
      'callback' => 'my_module_taskbar_link',
      'file' => 'my_module.taskbar.inc',
      'path' => drupal_get_path('module', 'my_module'),
    ),
  );
}

/**
 * Hook to alter provider
 */
function hook_taskbar_provider_alter(&$providers) {
}

/**
 * \defgroup Polling system
 * @{
 * @function taskbar_polling_update($uid, $item_name)
 *   Send an instant notification on the item $item_name
 *   @param $uid can be an integer or an array of integers
 * @}
 */
