<?php
/**
 * @file
 *   Taskbar hook-implementations.
 */

/**
 * Implements hook_taskbar_style().
 */
function taskbar_taskbar_style() {
  $path = drupal_get_path('module', 'taskbar') . '/styles';
  return array(
    array(
      'name' => 'base',
      'description' => 'Taskbar base style',
      'path' => $path . '/base',
    ),
    array(
      'name' => 'top',
      'description' => 'Taskbar base style (on the top)',
      'base' => 'base',
      'path' => $path . '/top',
    ),
    array(
      'name' => 'bottom',
      'description' => 'Taskbar base style (at the bottom)',
      'base' => 'base',
      'path' => $path . '/bottom',
    ),
    array(
      'name' => 'default',
      'description' => 'Taskbar default style',
      'base' => 'bottom',
      'path' => $path . '/default',
    ),
  );
}

/**
 * Implements hook_taskbar_provider().
 */
function taskbar_taskbar_provider() {
  $providers = array();
  $files = file_scan_directory(drupal_get_path('module', 'taskbar') . '/providers', '\.inc$');
  foreach ($files as $file) {
    require_once('./' . $file->filename);
    $function = preg_replace('/\.([a-z]+)/', '_\1_definition', $file->name);
    $provider = $function();
    if ($provider) {
      $providers[] = $provider;
    }
  }
  return $providers;
}
